﻿$packageName = 'puppet-agent'
$url32       = 'https://downloads.puppetlabs.com/windows/puppet5/puppet-agent-5.5.16-x86.msi'
$url64       = 'https://downloads.puppetlabs.com/windows/puppet5/puppet-agent-5.5.16-x64.msi'
$checksum32  = '9ff3ffdda50dddf42467a856e5b3d84c8d87e06e496b27abdaacd72d480365c6'
$checksum64  = '703c27e3366d7c57a81630a23781b6342a48d5f41cefff1eb3c6b5d1d682f7bf'


$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url32
  url64bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = "/qn /norestart"
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
